org.apache.uima.jcas.cas

## Class NonEmptyStringList_Type

- java.lang.Object
- - org.apache.uima.jcas.cas.TOP_Type
  - - org.apache.uima.jcas.cas.StringList_Type
    - - org.apache.uima.jcas.cas.NonEmptyStringList_Type

-     public class NonEmptyStringList_Type
      extends StringList_Type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `featOkTst`
    `static int` | `typeIndexID`

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP_Type

      `casImpl, casType, casTypeCode, instanceOf_Type, jcas, ll_cas, lowLevelArrayBoundChecks, lowLevelTypeChecks, useExistingInstance`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NonEmptyStringList_Type()`
    `` | `NonEmptyStringList_Type(JCas jcas, Type casType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.uima.cas.impl.FSGenerator<?>` | `getFSGenerator()`
    `String` | `getHead(int addr)`
    `int` | `getTail(int addr)`
    `void` | `setHead(int addr, String v)`
    `void` | `setTail(int addr, int v)`

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP_Type

      `addToIndexes, checkType, getTypeIndexID, invalidTypeArg, noObjCreate, removeFromIndexes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### typeIndexID

          public static final int typeIndexID

    - #### featOkTst

          public static final boolean featOkTst

  - ### Constructor Detail

    - #### NonEmptyStringList_Type

          public NonEmptyStringList_Type(JCas jcas,
                                         Type casType)

    - #### NonEmptyStringList_Type

          protected NonEmptyStringList_Type()

  - ### Method Detail

    - #### getFSGenerator

          protected org.apache.uima.cas.impl.FSGenerator<?> getFSGenerator()

      Overrides:
        `getFSGenerator` in class `StringList_Type`

    - #### getHead

          public String getHead(int addr)

    - #### setHead

          public void setHead(int addr,
                              String v)

    - #### getTail

          public int getTail(int addr)

    - #### setTail

          public void setTail(int addr,
                              int v)

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.